// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')


StartupEvents.registry('block', event => {
	// Register new blocks here
	// event.create('example_block').material('wood').hardness(1.0).displayName('Example Block')

    event.create("processed_wood")
    .displayName("Processed Wood")
.texture("up", "kubejs:block/processed_wood_top")
.texture("down", "kubejs:block/processed_wood_top")
    .material("wood")
	.lightLevel(1)
    .hardness(1.0) 
    .resistance(1.0)
    .tagBoth("logs")
    .tagBoth("logs_that_burn")
    .tagBoth("mineable/axe")
})


StartupEvents.registry('item', event => {
	// Register new items here
	// event.create('example_item').displayName('Example Item')

	event.create('eptrans','create:sequenced_assembly').displayName('Incomplete Ender Pearl')
	event.create('speyefull').displayName('Complete Steampunk Eye')
	event.create('speye_empty').displayName('Incomplete Steampunk Eye')
	event.create('processed_wooda','create:sequenced_assembly').parentModel("kubejs:block/processed_wood").displayName('Incomplete Processed Wood')
	event.create('processed_woodb','create:sequenced_assembly').parentModel("kubejs:block/processed_wood").displayName('Incomplete Processed Wood')
	event.create('processed_woodc','create:sequenced_assembly').parentModel("kubejs:block/processed_wood").displayName('Incomplete Processed Wood')
	event.create('upgrade_base', 'create:sequenced_assembly').displayName('Incomplete Upgrade')
	event.create('ut_1', 'create:sequenced_assembly').texture("kubejs:item/ut").displayName('Incomplete Upgrade')
	event.create('ut_2', 'create:sequenced_assembly').texture("kubejs:item/ut").displayName('Incomplete Upgrade')
	event.create('ut_c', 'create:sequenced_assembly').texture("kubejs:item/ut").displayName('Incomplete Upgrade')
	event.create('ut_f', 'create:sequenced_assembly').texture("kubejs:item/ut").displayName('Incomplete Upgrade')
	event.create('ut_i', 'create:sequenced_assembly').texture("kubejs:item/ut").displayName('Incomplete Upgrade')
	event.create('ut_mr', 'create:sequenced_assembly').texture("kubejs:item/ut").displayName('Incomplete Upgrade')
	event.create('ut_r', 'create:sequenced_assembly').texture("kubejs:item/ut").displayName('Incomplete Upgrade')
	event.create('ut_sr', 'create:sequenced_assembly').texture("kubejs:item/ut").displayName('Incomplete Upgrade')
	event.create('ut_v', 'create:sequenced_assembly').texture("kubejs:item/ut").displayName('Incomplete Upgrade')


})


// FIX SIMPLE REFORGING TABLE



BlockEvents.modification(event => {

event.modify('apotheosis:simple_reforging_table', block => {
	block.requiresTool = true 

})
})

//SATURATION REMOVAL

ItemEvents.modification(event => {

    event.modify('minecraft:honey_bottle', i => {
        i.foodProperties = f => {
            f.hunger(0)
            f.saturation(0)}
    })

// GEAR CHANGE

	event.modify('minecraft:shield', item => {
		item.maxDamage = 2

})

  event.modify('born_in_chaos_v1:nightmare_mantleofthe_night_helmet', item => {
		item.maxDamage = 450
		item.armorProtection = 4
		item.armorToughness = 4
		item.armorKnockbackResistance = 0.15
})

  event.modify('born_in_chaos_v1:nightmare_mantleofthe_night_chestplate', item => {
		item.maxDamage = 625
		item.armorProtection = 9
		item.armorToughness = 4
		item.armorKnockbackResistance = 0.15

})

  event.modify('born_in_chaos_v1:nightmare_mantleofthe_night_leggings', item => {
		item.maxDamage = 675
		item.armorProtection = 7
		item.armorToughness = 4
		item.armorKnockbackResistance = 0.15

})

  event.modify('born_in_chaos_v1:nightmare_mantleofthe_night_boots', item => {
		item.maxDamage = 515
		item.armorProtection = 4
		item.armorToughness = 4
		item.armorKnockbackResistance = 0.15

})

//ITEM STACKS

    event.modify('minecraft:potion', i => {
        i.maxStackSize = 16
})
    event.modify('minecraft:enchanted_book', i => {
        i.maxStackSize = 12
})
    event.modify('minecraft:splash_potion', i => {
        i.maxStackSize = 16
})
    event.modify('minecraft:lingering_potion', i => {
        i.maxStackSize = 16
})
    event.modify('minecraft:ender_pearl', i => {
        i.maxStackSize = 64
})
    event.modify('toughasnails:purified_water_bottle', i => {
        i.maxStackSize = 16
})

})
